/*****************************************************************/
/*                                                               */
/*   CASIO fx-9860G SDK Library                                  */
/*                                                               */
/*   File name : [ProjectName].c                                 */
/*                                                               */
/*   Copyright (c) 2006 CASIO COMPUTER CO., LTD.                 */
/*                                                               */
/*****************************************************************/
#include "fxlib.h"


//****************************************************************************
//  AddIn_main (Sample program main function)
//
//  param   :   isAppli   : 1 = This application is launched by MAIN MENU.
//                        : 0 = This application is launched by a strip in eACT application.
//
//              OptionNum : Strip number (0~3)
//                         (This parameter is only used when isAppli parameter is 0.)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int AddIn_main(int isAppli, unsigned short OptionNum)
{
    unsigned int key;
int Xcase=1;
int Ycase=1;
int keycode=0;

    Bdisp_AllClr_DDVRAM();

Bdisp_DrawLineVRAM(0,0,0,63);
Bdisp_DrawLineVRAM(55,0,55,63);
Bdisp_DrawLineVRAM(0,0,55,0);
Bdisp_DrawLineVRAM(0,63,55,63);

//plateau horizontale
Bdisp_DrawLineVRAM(0,14,55,14);
Bdisp_DrawLineVRAM(0,28,55,28);
Bdisp_DrawLineVRAM(0,35,55,35);
Bdisp_DrawLineVRAM(0,49,55,49);

//plateau verticale haut
Bdisp_DrawLineVRAM(11,0,11,28);
Bdisp_DrawLineVRAM(22,0,22,28);
Bdisp_DrawLineVRAM(33,0,33,28);
Bdisp_DrawLineVRAM(44,0,44,28);

//plateau verticale bas
Bdisp_DrawLineVRAM(11,63,11,35);
Bdisp_DrawLineVRAM(22,63,22,35);
Bdisp_DrawLineVRAM(33,63,33,35);
Bdisp_DrawLineVRAM(44,63,44,35);

//case
Bdisp_DrawLineVRAM(Xcase,Ycase,Xcase+9,Ycase);
Bdisp_DrawLineVRAM(Xcase,Ycase,Xcase,Ycase+13);
Bdisp_DrawLineVRAM(Xcase,Ycase+12,Xcase+9,Ycase+12);
Bdisp_DrawLineVRAM(Xcase+9,Ycase,Xcase+9,Ycase+13);


while(1)
{
GetKeyWait(KEYWAIT_HALTON_TIMEROFF,0,0,&keycode);

}

    while(1){
        GetKey(&key);
    }

    return 1;
}




//****************************************************************************
//**************                                              ****************
//**************                 Notice!                      ****************
//**************                                              ****************
//**************  Please do not change the following source.  ****************
//**************                                              ****************
//****************************************************************************


#pragma section _BR_Size
unsigned long BR_Size;
#pragma section


#pragma section _TOP

//****************************************************************************
//  InitializeSystem
//
//  param   :   isAppli   : 1 = Application / 0 = eActivity
//              OptionNum : Option Number (only eActivity)
//
//  retval  :   1 = No error / 0 = Error
//
//****************************************************************************
int InitializeSystem(int isAppli, unsigned short OptionNum)
{
    return INIT_ADDIN_APPLICATION(isAppli, OptionNum);
}

#pragma section

